Modify

Opened 6 years ago

Closed 6 years ago

Last modified 6 years ago

#10276 closed defect (worksforme)

php5-cgi package's time database broken?

Reported by: anonymous Owned by: developers
Priority: response-needed Milestone:
Component: packages Version: Trunk
Keywords: php5 Cc:

Description

in phpinfo():
"Olson" Timezone Database Version 0.system
package from trunk:
php5-cgi_5.3.8-5_ar71xx.ipk | 24-Oct-2011 00:34 | 853049

Error in date functions like DateTimeZone('GMT');

If installing package from Backfire, all is right.

Attachments (0)

Change History (3)

comment:1 Changed 6 years ago by jow

  • Priority changed from high to response-needed

What specific error?

comment:2 follow-up: Changed 6 years ago by jow

  • Resolution set to worksforme
  • Status changed from new to closed

php5 was changed to use the external system timezone database instead of the builtin one. Install zoneinfo-core plus the appropriate zoneinfo package for your region and it should work.

comment:3 in reply to: ↑ 2 Changed 6 years ago by anonymous

Replying to jow:

php5 was changed to use the external system timezone database instead of the builtin one. Install zoneinfo-core plus the appropriate zoneinfo package for your region and it should work.

Thanks, I should write about it in mans.

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.